Subject: bug#21260: closed (Re: bug#21260: 23.2; Devanagari windows 10)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Aug 2015 15:07:02 +0000

Your bug report

#21260: 23.2; Devanagari windows 10

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21260
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21260: 23.2; Devanagari windows 10
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 19 Aug 2015 18:06:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 18 Aug 2015 22:40:08 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> I also have a few more improvements and bugfixes for minor problems I
> discovered in the related parts of Uniscribe support, which I will
> commit soon, before I mark this bug done.

Done now, closing.

Subject: 23.2; Devanagari windows 10
From: Jim Funderburk <[email-masked]>
To: [email-masked]
Date: Fri, 14 Aug 2015 16:14:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

*** E-Mail body has been placed on clipboard, please paste it h
DESCRIPTION OF THE DEVANAGARI WINDOWS 10 PROBLEM
I recently updated to Windows 10.  Now, I have problems viewing
text files which contain utf-8 encoded text representing Devanagari.
The text renders as boxes.
A small sample file is in this dropbox link.
https://www.dropbox.com/s/7uedn6dgwf1p6xj/devanagari_example.txt?dl=0

This file views fine (using Lucida Console, or Arial fonts) under
Windows Vista or Windows 7 , with this same version of Emacs.
I've also tried a newer version 24.x.y version of Emacs on Windows 10,
and have the same problem.
This file also looks fine in Windows 10 using Notepad++ or even lowly
Notepad,  and (with slight adjustment of html tags) in Chrome browser.

My email is [email-masked].  I hope you'll let me know if this
can be fixed, since I have used Emacs for 20+ years, and hope to use it
in the future
Thanks.
Jim Funderburk

In GNU Emacs 23.2.1 (i386-mingw-nt6.2.9200)
  of 2010-05-08 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 6.2.9200
configured using `configure --with-gcc (3.4) --no-opt --cflags 
-Ic:/xpm/include'

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: ENU
   value of $XMODIFIERS: nil
   locale-coding-system: cp1252
   default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <down-mouse-1>
<mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1>
M-x r e p o r t - <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message ecomplete rfc822 mml easymenu mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win w32-vars
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mldrag mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process multi-tty emacs)
ere! ***